<div class="content">
  <div *ngIf="selectedChip || customFromDate || customToDate" class="clear-button" (click)="onClearButtonClicked($event)">clear</div>
  <div>
    <ion-chip outline="true" (click)="onChipSelected(TODAY)" [color]="selectedChip == TODAY? 'primary':'medium'"
      [ngClass]="{'chipbg':  selectedChip == TODAY}">
      <ion-icon name="calendar-outline"></ion-icon>
      <ion-label fixed class='fixedLabel'>Today</ion-label>
    </ion-chip>
    <ion-chip outline="true" (click)="onChipSelected(THIS_WEEK)" [color]="selectedChip == THIS_WEEK? 'primary':'medium'"
      [ngClass]="{'chipbg':  selectedChip == THIS_WEEK}">
      <ion-icon name="calendar-outline"></ion-icon>
      <ion-label fixed class='fixedLabel'>This Week</ion-label>
    </ion-chip>
    <ion-chip outline="true" (click)="onChipSelected(LAST_WEEK)" [color]="selectedChip == LAST_WEEK? 'primary':'medium'"
      [ngClass]="{'chipbg':  selectedChip == LAST_WEEK}">
      <ion-icon name="calendar-outline"></ion-icon>
      <ion-label fixed class='fixedLabel'>Last Week</ion-label>
    </ion-chip>
    <ion-chip outline="true" (click)="onChipSelected(THIS_MONTH)"
      [color]="selectedChip == THIS_MONTH? 'primary':'medium'" [ngClass]="{'chipbg':  selectedChip == THIS_MONTH}">
      <ion-icon name="calendar-outline"></ion-icon>
      <ion-label fixed class='fixedLabel'>This Month</ion-label>
    </ion-chip>
    <ion-chip outline="true" (click)="onChipSelected(LAST_MONTH)"
      [color]="selectedChip == LAST_MONTH? 'primary':'medium'" [ngClass]="{'chipbg':  selectedChip == LAST_MONTH}">
      <ion-icon name="calendar-outline"></ion-icon>
      <ion-label fixed class='fixedLabel'>Last Month</ion-label>
    </ion-chip>
  </div>

  <h5 class="separator-heading">Custom Date</h5>

  <div class="custom-dates-container">
    <ion-item>
      <ion-chip outline="true" [color]="selectedChip == FROM_DATE? 'primary':'medium'"
        [ngClass]="{'chipbg':  selectedChip == FROM_DATE}">
        <ion-icon name="calendar-outline"></ion-icon>
        <ion-label fixed class='fixedLabel' *ngIf="!customFromDate">From Date</ion-label>
        <ion-datetime displayFormat="DD-MM-YYYY" [value]="customFromDate"
          (ionChange)="onCustomDateSelected($event, CHIP_FROM_DATE)"></ion-datetime>
      </ion-chip>
    </ion-item>

    <ion-item>

      <ion-chip outline="true" [color]="selectedChip == TO_DATE? 'primary':'medium'"
        [ngClass]="{'chipbg':  selectedChip == TO_DATE}">
        <ion-icon name="calendar-outline"></ion-icon>
        <ion-label fixed class='fixedLabel' *ngIf="!customToDate">To Date</ion-label>
        <ion-datetime displayFormat="DD-MM-YYYY" [value]="customToDate"
          (ionChange)="onCustomDateSelected($event, CHIP_TO_DATE)"></ion-datetime>
      </ion-chip>
    </ion-item>
  </div>
</div>